Name:           rcssmonitor
Version:        12.1.0
Release:        2%{?dist}
Summary:        RoboCup 2D Soccer Simulator Monitor

Group:          Applications/System
License:        GPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake boost-devel libXpm-devel libX11-devel desktop-file-utils
%description
The RoboCup Soccer Simulator Monitor is a viewer for moved 2d vector graphics.
You can use it to watch 2D soccer games running on rcssserver. However, The
architecture of The RoboCup Soccer Simulator Monitor was from the beginning
kept as general and modular as possible and not just hacked to fit the  needs
of the robocup soccer server (rcssserver). So by now The RoboCup Soccer
Simulator Monitor is also used to visualize many other two dimensional system.

You can use UDP/IP communication sockets to send commands to The RoboCup Soccer
Simulator Monitor. A generic communication device is also included. It
understands a very easy description language to build and move 2d objects.

%prep
%setup -q
sed -i.lib \
    -e 's|\$ac_boost_path/lib|\$libdir|' \
    -e 's|$ac_boost_path_tmp/lib|\$libdir|' \
    m4/ax_boost_base.m4
autoreconf -if

%build
%configure
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

mkdir %{buildroot}/%{_datadir}/pixmaps/
cp -p src/rcssmonitor.png %{buildroot}/%{_datadir}/pixmaps/

desktop-file-install --vendor="fedora"                 \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ.TXT NEWS PLATFORMS README 
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Tue Aug 26 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-2
- Fixed source no. in the Source1 comment
- Fixed the .desktop file

* Tue Aug 12 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-1
- Completed the description
- Added icon and .desktop file installation

* Sat Jul 12 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-1
- Initial version
